NX Open C++ Reference Guide
|
Represents a @link Features::LawExtension Features::LawExtension@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLawExtensionBuilder Features::FeatureCollection::CreateLawExtensionBuilder @endlink <br>
Default values. More...
Public Types | |
enum | OppositeSideExtensionOptions { OppositeSideExtensionOptionsNone, OppositeSideExtensionOptionsSymmetric, OppositeSideExtensionOptionsAsymmetric } |
Opposite side extension options. More... | |
enum | Types { TypesFaces, TypesVector } |
Law extension creation types. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::LawBuilder * | AngleLaw () |
Returns the angle law Created in NX6.0.0. | |
double | AngleTolerance () |
Returns the angle tolerance Created in NX6.0.0. | |
NXOpen::Section * | BaseProfile () |
Returns the base profile Created in NX6.0.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX6.0.0. | |
NXOpen::ScCollector * | Faces () |
Returns the faces. | |
bool | IsReferenceFaceNormalReversed () |
Returns a value indicating whether to reverse the reference face normal. | |
NXOpen::GeometricUtilities::LawBuilder * | LengthLaw () |
Returns the length law Created in NX6.0.0. | |
bool | MergeFacesIfPossible () |
Returns a value indicating whether to merge the faces if possible Created in NX6.0.0. | |
NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions | OppositeSideExtensionOption () |
Returns the opposite side extension option Created in NX6.0.0. | |
NXOpen::GeometricUtilities::LawBuilder * | OppositeSideLengthLaw () |
Returns the opposite side length law. | |
NXOpen::GeometricUtilities::Rebuild * | Rebuild () |
Returns the rebuild data. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance Created in NX6.0.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX6.0.0. | |
void | SetMergeFacesIfPossible (bool mergeFacesIfPossible) |
Sets a value indicating whether to merge the faces if possible Created in NX6.0.0. | |
void | SetOppositeSideExtensionOption (NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions oppositeSideExtension) |
Sets the opposite side extension option Created in NX6.0.0. | |
void | SetReferenceFaceNormalReversed (bool reverseNormal) |
Sets a value indicating whether to reverse the reference face normal. | |
void | SetType (NXOpen::Features::LawExtensionBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector. | |
NXOpen::Section * | Spine () |
Returns the spine. | |
NXOpen::Features::LawExtensionBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
NXOpen::Direction * | Vector () |
Returns the vector. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::LawExtension Features::LawExtension@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLawExtensionBuilder Features::FeatureCollection::CreateLawExtensionBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleLaw.Function |
ft |
AngleLaw.LawType |
MultiTransition |
AngleLaw.Parameter |
t |
LengthLaw.LawType |
MultiTransition |
MergeFacesIfPossible |
True |
OppositeSideLengthLaw.LawType |
MultiTransition |
Rebuild.Degree |
3 |
Rebuild.RebuildType |
None |
Created in NX6.0.0.
Opposite side extension options.
OppositeSideExtensionOptionsNone |
No extension on opposite side. |
OppositeSideExtensionOptionsSymmetric |
Symmetric extension. |
OppositeSideExtensionOptionsAsymmetric |
Asymmetric extension. |
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::AngleLaw | ( | ) |
Returns the angle law
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
double NXOpen::Features::LawExtensionBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::Section* NXOpen::Features::LawExtensionBuilder::BaseProfile | ( | ) |
Returns the base profile
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
double NXOpen::Features::LawExtensionBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::ScCollector* NXOpen::Features::LawExtensionBuilder::Faces | ( | ) |
Returns the faces.
Faces are used only when Features::LawExtensionBuilder::Types is Features::LawExtensionBuilder::TypesFaces . The faces must be sew able to form a single sheet body. The normal of the sewed sheet body and base profile direction provide local reference co-ordinate system for the orientation of the surface rule lines.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
bool NXOpen::Features::LawExtensionBuilder::IsReferenceFaceNormalReversed | ( | ) |
Returns a value indicating whether to reverse the reference face normal.
When Features::LawExtensionBuilder::Types is Features::LawExtensionBuilder::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::LengthLaw | ( | ) |
Returns the length law
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
bool NXOpen::Features::LawExtensionBuilder::MergeFacesIfPossible | ( | ) |
Returns a value indicating whether to merge the faces if possible
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOption | ( | ) |
Returns the opposite side extension option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilder::OppositeSideLengthLaw | ( | ) |
Returns the opposite side length law.
Opposite side extension law is required only when Features::LawExtensionBuilder::OppositeSideExtensionOptions is Features::LawExtensionBuilder::OppositeSideExtensionOptionsAsymmetric
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::GeometricUtilities::Rebuild* NXOpen::Features::LawExtensionBuilder::Rebuild | ( | ) |
Returns the rebuild data.
This data is used to rebuild the surface in the base profile direction.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
void NXOpen::Features::LawExtensionBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
angleTolerance | angletolerance |
void NXOpen::Features::LawExtensionBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::LawExtensionBuilder::SetMergeFacesIfPossible | ( | bool | mergeFacesIfPossible | ) |
Sets a value indicating whether to merge the faces if possible
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
mergeFacesIfPossible | mergefacesifpossible |
void NXOpen::Features::LawExtensionBuilder::SetOppositeSideExtensionOption | ( | NXOpen::Features::LawExtensionBuilder::OppositeSideExtensionOptions | oppositeSideExtension | ) |
Sets the opposite side extension option
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
oppositeSideExtension | oppositesideextension |
void NXOpen::Features::LawExtensionBuilder::SetReferenceFaceNormalReversed | ( | bool | reverseNormal | ) |
Sets a value indicating whether to reverse the reference face normal.
When Features::LawExtensionBuilder::Types is Features::LawExtensionBuilder::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
reverseNormal | reversenormal |
void NXOpen::Features::LawExtensionBuilder::SetType | ( | NXOpen::Features::LawExtensionBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
type | type |
void NXOpen::Features::LawExtensionBuilder::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector.
Vector is used only when Features::LawExtensionBuilder::Types is Features::LawExtensionBuilder::TypesVector
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
vector | vector |
NXOpen::Section* NXOpen::Features::LawExtensionBuilder::Spine | ( | ) |
Returns the spine.
Spine is optional
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::Features::LawExtensionBuilder::Types NXOpen::Features::LawExtensionBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
NXOpen::Direction* NXOpen::Features::LawExtensionBuilder::Vector | ( | ) |
Returns the vector.
Vector is used only when Features::LawExtensionBuilder::Types is Features::LawExtensionBuilder::TypesVector
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")